﻿using Infragistics.Controls.Barcodes;
using Infragistics.Windows.Reporting;
using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace PrintBarcode
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        string fileName = "file.xps";
        private void printBarcodeBtn_Click(object sender, RoutedEventArgs e)
        {
            var barcode = new XamCode128Barcode() { Height = 200, Width = 200 } ;
            barcode.Data = "100 222 300 448";

            Report report = new Report();
            EmbeddedVisualReportSection section = new EmbeddedVisualReportSection(barcode);
            report.Sections.Add(section);

            if (File.Exists(fileName))
            {
                File.Delete(fileName);
            }

            report.Export(OutputFormat.XPS, fileName);
            //report.Print();

            Process.Start(fileName);
        }
    }
}
